Index: t3lib/stddb/tables.php
===================================================================
--- t3lib/stddb/tables.php	(revision 9734)
+++ t3lib/stddb/tables.php	(revision )
@@ -46,7 +46,6 @@
  *
  * @author	Kasper Skårhøj <kasperYYYY@typo3.com>
  * @see tslib_fe::includeTCA(), typo3/init.php, t3lib/stddb/load_ext_tables.php
- * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=262&cHash=4f12caa011
  */
 
 
Index: typo3/sysext/em/classes/index.php
===================================================================
--- typo3/sysext/em/classes/index.php	(revision 9758)
+++ typo3/sysext/em/classes/index.php	(revision )
@@ -240,7 +240,7 @@
 		$this->privacyNotice = $GLOBALS['LANG']->getLL('privacy_notice');
 		$securityMessage = $GLOBALS['LANG']->getLL('security_warning_extensions') .
 				'<br /><br />' . sprintf($GLOBALS['LANG']->getLL('security_descr'),
-			'<a href="http://typo3.org/teams/security/" target="_blank">', '</a>'
+			'<a href="' . TYPO3_URL_SECURITY . '" target="_blank">', '</a>'
 		);
 		$flashMessage = t3lib_div::makeInstance(
 			't3lib_FlashMessage',
Index: t3lib/class.t3lib_frontendedit.php
===================================================================
--- t3lib/class.t3lib_frontendedit.php	(revision 9758)
+++ t3lib/class.t3lib_frontendedit.php	(revision )
@@ -78,7 +78,6 @@
 	 * @param	string		The "table:uid" of the record being shown. If empty string then $this->currentRecord is used. For new records (set by $conf['newRecordFromTable']) it's auto-generated to "[tablename]:NEW"
 	 * @param	array		Alternative data array to use. Default is $this->data
 	 * @return	string		The input content string with the editPanel appended. This function returns only an edit panel appended to the content string if a backend user is logged in (and has the correct permissions). Otherwise the content string is directly returned.
-	 * @link	http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=375&cHash=7d8915d508
 	 */
 	public function displayEditPanel($content, array $conf, $currentRecord, array $dataArray) {
 		if ($conf['newRecordFromTable']) {
Index: t3lib/error/class.t3lib_error_debugexceptionhandler.php
===================================================================
--- t3lib/error/class.t3lib_error_debugexceptionhandler.php	(revision 9758)
+++ t3lib/error/class.t3lib_error_debugexceptionhandler.php	(revision )
@@ -66,7 +66,7 @@
 		 * either remove this line or let the link point to site that offers error information for TYPO3
 		 */
 
-			//		$moreInformationLink = ($exceptionCodeNumber != '') ? '(<a href="http://typo3.org/go/exception/' . $exception->getCode() . '">More information</a>)' : '';
+			//		$moreInformationLink = ($exceptionCodeNumber != '') ? '(<a href="' . TYPO3_URL_EXCEPTION . $exception->getCode() . '">More information</a>)' : '';
 		$backtraceCode = $this->getBacktraceCode($exception->getTrace());
 
 		$this->writeLogEntries($exception, self::CONTEXT_WEB);
Index: t3lib/class.t3lib_tstemplate.php
===================================================================
--- t3lib/class.t3lib_tstemplate.php	(revision 9758)
+++ t3lib/class.t3lib_tstemplate.php	(revision )
@@ -1090,7 +1090,6 @@
 	 * @param	integer		The number of items for which to generated individual TypoScript arrays
 	 * @return	array		The individualized TypoScript array.
 	 * @see tslib_cObj::IMGTEXT(), tslib_menu::procesItemStates()
-	 * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=289&cHash=6604390b37
 	 */
 	function splitConfArray($conf, $splitCount) {
 
Index: typo3/sysext/cms/tslib/class.tslib_content.php
===================================================================
--- typo3/sysext/cms/tslib/class.tslib_content.php	(revision 9758)
+++ typo3/sysext/cms/tslib/class.tslib_content.php	(revision )
@@ -228,7 +228,6 @@
  * @author	Kasper Skårhøj <kasperYYYY@typo3.com>
  * @package TYPO3
  * @subpackage tslib
- * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&cHash=4ad9d7acb4
  */
 class tslib_cObj {
 
@@ -729,7 +728,6 @@
 	 * @param	array		The array with TypoScript properties for the content object
 	 * @param	string		A string label used for the internal debugging tracking.
 	 * @return	string		cObject output
-	 * @example http://typo3.org/doc.0.html?&encryptionKey=&tx_extrepmgm_pi1[extUid]=267&tx_extrepmgm_pi1[tocEl]=153&cHash=7e74f4d331
 	 */
 	function cObjGetSingle($name, $conf, $TSkey = '__') {
 		global $TYPO3_CONF_VARS;
@@ -1372,7 +1370,6 @@
 	 * @param	array		TypoScript properties for the "imageLinkWrap" function
 	 * @return	string		The input string, $string, wrapped as configured.
 	 * @see cImage()
-	 * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=316&cHash=2848266da6
 	 */
 	function imageLinkWrap($string, $imageFile, $conf) {
 		$a1 = '';
@@ -1534,7 +1531,6 @@
 	 * @param	string		A string where the first two parts separated by "|" (vertical line) will be wrapped around the input string
 	 * @return	string		Wrapped output string
 	 * @see wrap(), cImage(), FILE()
-	 * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=282&cHash=831a95115d
 	 */
 	function linkWrap($content, $wrap) {
 		$wrapArr = explode('|', $wrap);
@@ -3210,8 +3206,6 @@
 	 * @param	array		TypoScript properties for the property (see link to "numRows")
 	 * @return	integer		The number of rows found by the select (FALSE on error)
 	 * @access private
-	 * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=317&cHash=e28e53e634
-	 * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=318&cHash=a98cb4e7e6
 	 * @see stdWrap()
 	 */
 	function numRows($conf) {
@@ -3255,7 +3249,6 @@
 	 *
 	 * @param	array		TypoScript properties defining what to compare
 	 * @return	boolean
-	 * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=320&cHash=da01618eab
 	 * @see HMENU(), CASEFUNC(), IMAGE(), COLUMN(), stdWrap(), _parseFunc()
 	 */
 	function checkIf($conf) {
@@ -3428,7 +3421,6 @@
 	 * @param	string		The value to parse by the class "t3lib_parsehtml"
 	 * @param	array		TypoScript properties for the parser. See link.
 	 * @return	string		Return value.
-	 * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=330&cHash=664e0296bf
 	 * @see stdWrap(), t3lib_parsehtml::HTMLparserConfig(), t3lib_parsehtml::HTMLcleaner()
 	 */
 	function HTMLparser_TSbridge($theValue, $conf) {
@@ -3456,7 +3448,6 @@
 	 * @param	string		Input value
 	 * @return	string		Processed input value
 	 * @see getData(), stdWrap(), dataWrap()
-	 * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=314&cHash=02ab044c7b
 	 */
 	function insertData($str) {
 		$inside = 0;
@@ -3724,7 +3715,6 @@
 	 * @return	string		The processed output value
 	 * @access private
 	 * @see stdWrap()
-	 * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=322&cHash=a14b745a18
 	 */
 	function textStyle($theValue, $conf) {
 		$conf['face.'][1] = 'Times New Roman';
@@ -3804,7 +3794,6 @@
 	 * @return	string		The processed output value
 	 * @access private
 	 * @see stdWrap()
-	 * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=324&cHash=34410ebff3
 	 */
 	function tableStyle($theValue, $conf) {
 		$conf['color.'][240] = 'black';
@@ -3851,7 +3840,6 @@
 	 * @param	array		The TypoScript configuration properties
 	 * @return	string		The modified string
 	 * @todo	Make it XHTML compatible. Will not present "/>" endings of tags right now. Further getting the tagname might fail if it is not separated by a normal space from the attributes.
-	 * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=325&cHash=ae4272e694
 	 */
 	function addParams($content, $conf) {
 		$lowerCaseAttributes = TRUE; // For XHTML compliance.
@@ -3899,7 +3887,6 @@
 	 * @param	array		TypoScript parameters for the TypoScript function ->filelink
 	 * @return	string		The link to the file possibly with icons, thumbnails, size in bytes shown etc.
 	 * @access private
-	 * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=326&cHash=5618043c18
 	 * @see stdWrap()
 	 */
 	function filelink($theValue, $conf) {
@@ -4094,7 +4081,6 @@
 	 * @return	string		Compiled result
 	 * @access private
 	 * @see stdWrap(), t3lib_menu::procesItemStates()
-	 * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=319&cHash=1871864c8f
 	 */
 	function splitObj($value, $conf) {
 		$conf['token'] = $this->stdWrap($conf['token'], $conf['token.']);
@@ -4177,7 +4163,6 @@
 	 * @param	array		TypoScript configuration for parseFunc
 	 * @param	string		Reference to get configuration from. Eg. "< lib.parseFunc" which means that the configuration of the object path "lib.parseFunc" will be retrieved and MERGED with what is in $conf!
 	 * @return	string		The processed value
-	 * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=327&cHash=33331f0396
 	 * @see _parseFunc()
 	 */
 	function parseFunc($theValue, $conf, $ref = '') {
@@ -4509,7 +4494,6 @@
 	 * @param	array		TypoScript options
 	 * @return	string		The processed input value being returned; Splitted lines imploded by LF again.
 	 * @access private
-	 * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=323&cHash=a19312be78
 	 */
 	function encaps_lineSplit($theValue, $conf) {
 		$lParts = explode(LF, $theValue);
@@ -4602,7 +4586,6 @@
 	 * @param	string		The string in which to search for "http://"
 	 * @param	array		Configuration for makeLinks, see link
 	 * @return	string		The processed input string, being returned.
-	 * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=328&cHash=c1135706d7
 	 * @see _parseFunc()
 	 */
 	function http_makelinks($data, $conf) {
@@ -4673,7 +4656,6 @@
 	 * @param	string		The string in which to search for "mailto:"
 	 * @param	array		Configuration for makeLinks, see link
 	 * @return	string		The processed input string, being returned.
-	 * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=328&cHash=c1135706d7
 	 * @see _parseFunc()
 	 */
 	function mailto_makelinks($data, $conf) {
@@ -4720,7 +4702,6 @@
 	 * @param	string		A "imgResource" TypoScript data type. Either a TypoScript file resource or the string GIFBUILDER. See description above.
 	 * @param	array		TypoScript properties for the imgResource type
 	 * @return	array		Returns info-array. info[origFile] = original file.
-	 * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=315&cHash=63b593a934
 	 * @see IMG_RESOURCE(), cImage(), tslib_gifBuilder
 	 */
 	function getImgResource($file, $fileArray) {
@@ -4968,7 +4949,6 @@
 	 * @param	string		The parameter string, eg. "field : title" or "field : navtitle // field : title" (in the latter case and example of how the value is FIRST splitted by "//" is shown)
 	 * @param	mixed		Alternative field array; If you set this to an array this variable will be used to look up values for the "field" key. Otherwise the current page record in $GLOBALS['TSFE']->page is used.
 	 * @return	string		The value fetched
-	 * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=282&cHash=831a95115d
 	 * @see getFieldVal()
 	 */
 	function getData($string, $fieldArray) {
@@ -5245,7 +5225,6 @@
 	 * @param	array		TypoScript configuration (see link below)
 	 * @return	string		A link-wrapped string.
 	 * @see stdWrap(), tslib_pibase::pi_linkTP()
-	 * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=321&cHash=59bd727a5e
 	 */
 	function typoLink($linktxt, $conf) {
 		$LD = array();
@@ -7180,7 +7159,6 @@
 	 * @return	mixed		A SELECT query if $returnQueryArray is FALSE, otherwise the SELECT query in an array as parts.
 	 * @access private
 	 * @see CONTENT(), numRows()
-	 * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=318&cHash=a98cb4e7e6
 	 */
 	function getQuery($table, $conf, $returnQueryArray = FALSE) {
 
@@ -7299,7 +7277,6 @@
 	 * @param	boolean		If set, the function will return the query not as a string but array with the various parts. RECOMMENDED!
 	 * @return	mixed		A WHERE clause based on the relevant parts of the TypoScript properties for a "select" function in TypoScript, see link. If $returnQueryArray is FALSE the where clause is returned as a string with WHERE, GROUP BY and ORDER BY parts, otherwise as an array with these parts.
 	 * @access private
-	 * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=318&cHash=a98cb4e7e6
 	 * @see getQuery()
 	 */
 	function getWhere($table, $conf, $returnQueryArray = FALSE) {
@@ -7534,7 +7511,6 @@
 	 * @param	string		The "table:uid" of the record being shown. If empty string then $this->currentRecord is used. For new records (set by $conf['newRecordFromTable']) it's auto-generated to "[tablename]:NEW"
 	 * @param	array		Alternative data array to use. Default is $this->data
 	 * @return	string		The input content string with the editPanel appended. This function returns only an edit panel appended to the content string if a backend user is logged in (and has the correct permissions). Otherwise the content string is directly returned.
-	 * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=375&cHash=7d8915d508
 	 */
 	function editPanel($content, $conf, $currentRecord = '', $dataArr = array()) {
 
@@ -7634,7 +7610,6 @@
 	 * @param	array		The TypoScript properties of the PAGE object property "frameSet.". See link.
 	 * @return	string		A <frameset> tag.
 	 * @see TSpagegen::renderContentWithHeader()
-	 * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=343&cHash=41ca925386
 	 */
 	function make($setup) {
 		$content = '';
@@ -7871,7 +7846,6 @@
 	 * @param	string		List of margin parameters; left, top, right, bottom
 	 * @return	string		The content strings wrapped in a <table> as the parameters defined
 	 * @see tslib_cObj::CTABLE()
-	 * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=359&cHash=2e0065b4e7
 	 */
 	function start($offset, $cMargins) {
 		$offArr = t3lib_div::intExplode(',', $offset);
Index: t3lib/config_default.php
===================================================================
--- t3lib/config_default.php	(revision 9749)
+++ t3lib/config_default.php	(revision )
@@ -413,6 +413,22 @@
 $typo_db_tables_script = '';	// The filename of the tables.php script in typo3conf/ folder IF the default t3lib/stddb/tables.php should NOT be used for some reason. It's recommended to use the default and modify it through the extTableDef-script, see below.
 $typo_db_extTableDef_script = '';	// The filename of an additional script in typo3conf/-folder which is included after tables.php. Code in this script should modify the tables.php-configuration only, and this provides a good way to extend the standard-distributed tables.php file.
 
+// TYPO3 links
+define('TYPO3_URL_GENERAL', 'http://typo3.com/');
+define('TYPO3_URL_ORG', 'http://typo3.org/');
+define('TYPO3_URL_LICENSE', 'http://typo3.com/1316.0.html');
+define('TYPO3_URL_EXCEPTION', 'http://typo3.org/go/exception/');
+define('TYPO3_URL_MAILINGLISTS', 'http://lists.typo3.org/cgi-bin/mailman/listinfo');
+define('TYPO3_URL_DOCUMENTATION', 'http://typo3.org/documentation/');
+define('TYPO3_URL_DOCUMENTATION_TSREF', 'http://typo3.org/documentation/document-library/references/doc_core_tsref/current/view/');
+define('TYPO3_URL_DOCUMENTATION_TSCONFIG', 'http://typo3.org/documentation/document-library/references/doc_core_tsconfig/current/view/');
+define('TYPO3_URL_CONSULTANCY', 'http://typo3.com/Consultancies.1248.0.html');
+define('TYPO3_URL_CONTRIBUTE', 'http://typo3.org/community/participate/');
+define('TYPO3_URL_DONATE', 'http://typo3.com/Donations.1261.0.html');
+define('TYPO3_URL_SECURITY', 'http://typo3.com/Donations.1261.0.html');
+define('TYPO3_URL_DOWNLOAD', 'http://typo3.org/download/packages/');
+define('TYPO3_URL_SYSTEMREQUIREMENTS', 'http://typo3.org/1275.0.html');
+
 	// Include localconf.php. Use this file to configure TYPO3 for your needs and database
 if (!@is_file(PATH_typo3conf . 'localconf.php')) {
 	throw new Exception('localconf.php is not found!');
Index: typo3/sysext/feedit/view/class.tx_feedit_editpanel.php
===================================================================
--- typo3/sysext/feedit/view/class.tx_feedit_editpanel.php	(revision 9758)
+++ typo3/sysext/feedit/view/class.tx_feedit_editpanel.php	(revision )
@@ -64,7 +64,6 @@
 	 * @param	string		The "table:uid" of the record being shown. If empty string then $this->currentRecord is used. For new records (set by $conf['newRecordFromTable']) it's auto-generated to "[tablename]:NEW"
 	 * @param	array		Alternative data array to use. Default is $this->data
 	 * @return	string		The input content string with the editPanel appended. This function returns only an edit panel appended to the content string if a backend user is logged in (and has the correct permissions). Otherwise the content string is directly returned.
-	 * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=375&cHash=7d8915d508
 	 */
 	public function editPanel($content, array $conf, $currentRecord='', array $dataArr=array(), $table='', $allow='', $newUID=0, array $hiddenFields=array()) {
 			// Special content is about to be shown, so the cache must be disabled.
Index: typo3/sysext/install/mod/class.tx_install.php
===================================================================
--- typo3/sysext/install/mod/class.tx_install.php	(revision 9760)
+++ typo3/sysext/install/mod/class.tx_install.php	(revision )
@@ -4287,7 +4287,7 @@
 				<a href="http://www.freetype.org/">http://www.freetype.org/</a>
 				<br />
 				Generally, TYPO3 packages are listed at
-				<a href="http://typo3.org/download/packages/">http://typo3.org/download/packages/</a>
+				<a href="' . TYPO3_URL_DOWNLOAD . '">' . TYPO3_URL_DOWNLOAD . '</a>
 			</p>
 		';
 	}
@@ -4311,7 +4311,7 @@
 			subsequently includes the localconf.php file in which you can then
 			override values.
 			<br />
-			See this page for <a href="http://typo3.org/1275.0.html">more
+			See this page for <a href="' . TYPO3_URL_SYSTEMREQUIREMENTS . '">more
 			information about system requirements.</a>
 		</p>';
 	}
@@ -5694,7 +5694,7 @@
 							$results[] = $this->performUpdateQueries($update_statements['create_table'], $this->INSTALL['database_update']);
 							$results[] = $this->performUpdateQueries($remove_statements['change_table'], $this->INSTALL['database_update']);
 							$results[] = $this->performUpdateQueries($remove_statements['drop_table'], $this->INSTALL['database_update']);
-							
+
 							$this->databaseUpdateErrorMessages = array();
 							foreach ($results as $resultSet) {
 								if (is_array($resultSet)) {
@@ -8050,16 +8050,16 @@
 			<p>
 				<strong>TYPO3 CMS.</strong> Copyright &copy; 1998-' . date('Y') . '
 				Kasper Sk&#229;rh&#248;j. Extensions are copyright of their respective
-				owners. Go to <a href="http://typo3.com/">http://typo3.com/</a>
+				owners. Go to <a href="' . TYPO3_URL_GENERAL . '">' . TYPO3_URL_GENERAL . '</a>
 				for details. TYPO3 comes with ABSOLUTELY NO WARRANTY;
-				<a href="http://typo3.com/1316.0.html">click</a> for details.
+				<a href="' . TYPO3_URL_LICENSE . '">click</a> for details.
 				This is free software, and you are welcome to redistribute it
-				under certain conditions; <a href="http://typo3.com/1316.0.html">click</a>
+				under certain conditions; <a href="' . TYPO3_URL_LICENSE . '">click</a>
 				for details. Obstructing the appearance of this notice is prohibited by law.
 			</p>
 			<p>
-				<a href="http://typo3.org/donate"><strong>Donate</strong></a> |
-				<a href="http://typo3.org">TYPO3.org</a>
+				<a href="' . TYPO3_URL_DONATE . '"><strong>Donate</strong></a> |
+				<a href="' . TYPO3_URL_ORG . '">TYPO3.org</a>
 			</p>
 		';
 
Index: typo3/index.php
===================================================================
--- typo3/index.php	(revision 9758)
+++ typo3/index.php	(revision )
@@ -485,18 +485,18 @@
 		if (strlen($loginCopyrightWarrantyProvider)>=2 && strlen($loginCopyrightWarrantyURL)>=10)	{
 			$warrantyNote = sprintf($GLOBALS['LANG']->getLL('warranty.by'), htmlspecialchars($loginCopyrightWarrantyProvider), '<a href="' . htmlspecialchars($loginCopyrightWarrantyURL) . '" target="_blank">', '</a>');
 		} else {
-			$warrantyNote = sprintf($GLOBALS['LANG']->getLL('no.warranty'), '<a href="http://typo3.com/1316.0.html" target="_blank">', '</a>');
+			$warrantyNote = sprintf($GLOBALS['LANG']->getLL('no.warranty'), '<a href="' . TYPO3_URL_LICENSE . '" target="_blank">', '</a>');
 		}
 
 			// Compile full copyright notice:
-		$copyrightNotice = '<a href="http://typo3.com/" target="_blank">'.
+		$copyrightNotice = '<a href="' . TYPO3_URL_GENERAL . '" target="_blank">'.
 					'<img src="' . $loginImageSmall . '" alt="' . $GLOBALS['LANG']->getLL('typo3.logo') . '" align="left" />' .
 					$GLOBALS['LANG']->getLL('typo3.cms') . ($GLOBALS['TYPO3_CONF_VARS']['SYS']['loginCopyrightShowVersion']?' ' . $GLOBALS['LANG']->getLL('version.short') . ' ' . htmlspecialchars($GLOBALS['TYPO_VERSION']):'') .
 					'</a>. ' .
 					$GLOBALS['LANG']->getLL('copyright') . ' &copy; ' . TYPO3_copyright_year . ' Kasper Sk&#229;rh&#248;j. ' . $GLOBALS['LANG']->getLL('extension.copyright') . ' ' .
-					sprintf($GLOBALS['LANG']->getLL('details.link'), '<a href="http://typo3.com/" target="_blank">http://typo3.com/</a>') . '<br /> ' .
+					sprintf($GLOBALS['LANG']->getLL('details.link'), '<a href="' . TYPO3_URL_GENERAL . '" target="_blank">' . TYPO3_URL_GENERAL . '</a>') . '<br /> ' .
 					$warrantyNote . ' ' .
-					sprintf($GLOBALS['LANG']->getLL('free.software'), '<a href="http://typo3.com/1316.0.html" target="_blank">', '</a> ') .
+					sprintf($GLOBALS['LANG']->getLL('free.software'), '<a href="' . TYPO3_URL_LICENSE . '" target="_blank">', '</a> ') .
 					$GLOBALS['LANG']->getLL('keep.notice');
 
 			// Return notice:
Index: typo3/sysext/cms/tslib/media/scripts/tmenu_layers.php
===================================================================
--- typo3/sysext/cms/tslib/media/scripts/tmenu_layers.php	(revision 9758)
+++ typo3/sysext/cms/tslib/media/scripts/tmenu_layers.php	(revision )
@@ -78,7 +78,6 @@
  * @author	Kasper Skårhøj <kasperYYYY@typo3.com>
  * @package TYPO3
  * @subpackage tslib
- * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=385&cHash=648519dd66
  * @see diff.xmenu_layers.txt
  */
 class tslib_tmenu_layers extends tslib_tmenu {
Index: typo3/sysext/cms/tslib/media/scripts/gmenu_foldout.php
===================================================================
--- typo3/sysext/cms/tslib/media/scripts/gmenu_foldout.php	(revision 9758)
+++ typo3/sysext/cms/tslib/media/scripts/gmenu_foldout.php	(revision )
@@ -75,7 +75,6 @@
  * @author	Kasper Skårhøj <kasperYYYY@typo3.com>
  * @package TYPO3
  * @subpackage tslib
- * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=386&cHash=f69ab462e2
  */
 class tslib_gmenu_foldout extends tslib_gmenu {
 	var $GMENU_fixKey='foldout';
Index: typo3/sysext/cms/tslib/class.tslib_fetce.php
===================================================================
--- typo3/sysext/cms/tslib/class.tslib_fetce.php	(revision 9758)
+++ typo3/sysext/cms/tslib/class.tslib_fetce.php	(revision )
@@ -78,7 +78,6 @@
  * @package TYPO3
  * @subpackage tslib
  * @deprecated since TYPO3 3.6
- * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=342&cHash=fdf55adb3b
  */
 class tslib_feTCE	{
 
Index: typo3/sysext/cms/tslib/class.tslib_menu.php
===================================================================
--- typo3/sysext/cms/tslib/class.tslib_menu.php	(revision 9758)
+++ typo3/sysext/cms/tslib/class.tslib_menu.php	(revision )
@@ -1698,7 +1698,6 @@
  * @author	Kasper Skårhøj <kasperYYYY@typo3.com>
  * @package TYPO3
  * @subpackage tslib
- * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=387&cHash=73a3116ab8
  */
 class tslib_tmenu extends tslib_menu {
 
@@ -1897,7 +1896,6 @@
 	 *
 	 * @param	string		Can be "before" or "after" and determines which kind of image to create (basically this is the prefix of the TypoScript properties that are read from the ->I['val'] array
 	 * @return	string		The resulting HTML of the image, if any.
-	 * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=388&cHash=a7486044cd
 	 */
 	function getBeforeAfter($pref)	{
 		$res = '';
@@ -2067,7 +2065,6 @@
  * @author	Kasper Skårhøj <kasperYYYY@typo3.com>
  * @package TYPO3
  * @subpackage tslib
- * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=384&cHash=93a7644cba
  */
 class tslib_gmenu extends tslib_menu {
 
@@ -2613,7 +2610,6 @@
  * @author	Kasper Skårhøj <kasperYYYY@typo3.com>
  * @package TYPO3
  * @subpackage tslib
- * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=389&cHash=fcf18c5d9f
  */
 class tslib_imgmenu extends tslib_menu {
 
@@ -2868,7 +2864,6 @@
  * @author	Kasper Skårhøj <kasperYYYY@typo3.com>
  * @package TYPO3
  * @subpackage tslib
- * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=391&cHash=563435abbc
  */
 class tslib_jsmenu extends tslib_menu {
 
Index: typo3/sysext/cms/tslib/media/scripts/makeMenu_datedirectory.inc
===================================================================
--- typo3/sysext/cms/tslib/media/scripts/makeMenu_datedirectory.inc	(revision 8742)
+++ typo3/sysext/cms/tslib/media/scripts/makeMenu_datedirectory.inc	(revision )
@@ -32,7 +32,6 @@
  * Revised for TYPO3 3.6 June/2003 by Kasper Skårhøj
  *
  * @author	Olaf.Schuemann@erz.be.ch
- * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=358&cHash=5400c1c06a
  * @see makeMenu_keywords_updated.inc
  */
 
Index: typo3/template.php
===================================================================
--- typo3/template.php	(revision 9758)
+++ typo3/template.php	(revision )
@@ -1265,7 +1265,7 @@
 	 * @return	string		<meta> tag with name "generator"
 	 */
 	function generator()	{
-		$str = 'TYPO3 '.TYPO3_branch.', http://typo3.com, &#169; Kasper Sk&#229;rh&#248;j 1998-2009, extensions are copyright of their respective owners.';
+		$str = 'TYPO3 '.TYPO3_branch.', ' . TYPO3_URL_GENERAL . ', &#169; Kasper Sk&#229;rh&#248;j 1998-2009, extensions are copyright of their respective owners.';
 		return '<meta name="generator" content="'.$str .'" />';
 	}
 
Index: typo3/wizard_tsconfig.php
===================================================================
--- typo3/wizard_tsconfig.php	(revision 9758)
+++ typo3/wizard_tsconfig.php	(revision )
@@ -303,13 +303,13 @@
 			// Adding link to TSref:
 		if ($this->mode=='tsref')	{
 			$this->content.=$this->doc->section($LANG->getLL('tsprop_TSref'),'
-			<a href="'.htmlspecialchars('http://typo3.org/documentation/document-library/references/doc_core_tsref/current/view/').'" target="_blank">'.$LANG->getLL('tsprop_TSref',1).'</a>
+			<a href="'. TYPO3_URL_DOCUMENTATION_TSREF.'" target="_blank">'.$LANG->getLL('tsprop_TSref',1).'</a>
 			',0,1);
 		}
 			// Adding link to admin guides etc:
 		if ($this->mode=='page' || $this->mode=='beuser')	{
 			$this->content.=$this->doc->section($LANG->getLL('tsprop_tsconfig'),'
-			<a href="'.htmlspecialchars('http://typo3.org/documentation/document-library/references/doc_core_tsconfig/current/view/').'" target="_blank">'.$LANG->getLL('tsprop_tsconfig',1).'</a>
+			<a href="' . TYPO3_URL_DOCUMENTATION_TSCONFIG . '" target="_blank">' . $LANG->getLL('tsprop_tsconfig',1) . '</a>
 			',0,1);
 		}
 	}
Index: typo3/js/donate.js
===================================================================
--- typo3/js/donate.js	(revision 7906)
+++ typo3/js/donate.js	(revision )
@@ -33,7 +33,7 @@
 	isUnloading: false,
 	logoutButton: null,
 	ajaxRequestDefault: null,
-	donateUrl: 'http://typo3.org/donate/',
+	donateUrl: TYPO3.configuration.donateUrl,
 
 	constructor: function(config) {
 		this.ajaxRequestDefault = {
Index: typo3/logomenu.php
===================================================================
--- typo3/logomenu.php	(revision 9758)
+++ typo3/logomenu.php	(revision )
@@ -66,43 +66,43 @@
 				$menuItems = array(
 					array(
 						'title' => 'About TYPO3',
-						'xurl' => 'http://typo3.com/',
+						'xurl' => TYPO3_URL_GENERAL,
 						'subitems' => array(
 							array(
 								'title' => 'License',
-								'xurl' => 'http://typo3.com/License.1625.0.html',
+								'xurl' => TYPO3_URL_LICENSE,
 							),
 							array(
 								'title' => 'Support',
 								'subitems' => array(
 									array(
 										'title' => 'Mailing lists',
-										'xurl' => 'http://lists.netfielders.de/cgi-bin/mailman/listinfo',
+										'xurl' => TYPO3_URL_MAILINGLISTS,
 									),
 									array(
 										'title' => 'Documentation',
-										'xurl' => 'http://typo3.org/documentation/',
+										'xurl' => TYPO3_URL_DOCUMENTATION,
 									),
 									array(
 										'title' => 'Find consultancy',
-										'xurl' => 'http://typo3.com/Consultancies.1248.0.html',
+										'xurl' => TYPO3_URL_CONSULTANCY,
 									),
 								)
 							),
 							array(
 								'title' => 'Contribute',
-								'xurl' => 'http://typo3.org/community/participate/'
+								'xurl' => TYPO3_URL_CONTRIBUTE
 							),
 							array(
 								'title' => 'Donate',
-								'xurl' => 'http://typo3.com/Donations.1261.0.html',
+								'xurl' => TYPO3_URL_DONATE,
 								'icon' => '1'
 							)
 						)
 					),
 					array(
 						'title' => 'Extensions',
-						'url' => 'mod/tools/em/index.php'
+						'url' => 'mod.php?M=tools_em'
 					),
 					array(
 						'title' => 'Menu preferences and such things',
Index: typo3/sysext/cms/tslib/media/scripts/gmenu_layers.php
===================================================================
--- typo3/sysext/cms/tslib/media/scripts/gmenu_layers.php	(revision 9758)
+++ typo3/sysext/cms/tslib/media/scripts/gmenu_layers.php	(revision )
@@ -78,7 +78,6 @@
  * @author	Kasper Skårhøj <kasperYYYY@typo3.com>
  * @package TYPO3
  * @subpackage tslib
- * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=385&cHash=648519dd66
  * @see diff.xmenu_layers.txt
  */
 class tslib_gmenu_layers extends tslib_gmenu {
Index: typo3/sysext/cms/tslib/class.tslib_pagegen.php
===================================================================
--- typo3/sysext/cms/tslib/class.tslib_pagegen.php	(revision 9758)
+++ typo3/sysext/cms/tslib/class.tslib_pagegen.php	(revision )
@@ -483,7 +483,7 @@
 		$pageRenderer->addInlineComment('	This website is powered by TYPO3 - inspiring people to share!
 	TYPO3 is a free open source Content Management Framework initially created by Kasper Skaarhoj and licensed under GNU/GPL.
 	TYPO3 is copyright ' . TYPO3_copyright_year . ' of Kasper Skaarhoj. Extensions are copyright of their respective owners.
-	Information and contribution at http://typo3.com/ and http://typo3.org/
+	Information and contribution at ' . TYPO3_URL_GENERAL . ' and ' . TYPO3_URL_ORG . '
 ');
 
 		if ($GLOBALS['TSFE']->baseUrl) {
Index: typo3/sysext/cms/tslib/class.tslib_gifbuilder.php
===================================================================
--- typo3/sysext/cms/tslib/class.tslib_gifbuilder.php	(revision 9758)
+++ typo3/sysext/cms/tslib/class.tslib_gifbuilder.php	(revision )
@@ -97,7 +97,6 @@
  * @author	Kasper Skårhøj <kasperYYYY@typo3.com>
  * @package TYPO3
  * @subpackage tslib
- * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=377&cHash=e00ac666f3
  */
 class tslib_gifBuilder extends t3lib_stdGraphic {
 
@@ -386,7 +385,6 @@
 	 * @return	void
 	 * @access private
 	 * @see gifBuild()
-	 * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=378&cHash=3c2ae4a1ab
 	 */
 	function make()	{
 			// Get trivial data
@@ -511,7 +509,7 @@
 						case 'ELLIPSE':
 							$this->makeEllipse($this->im, $conf, $this->workArea);
 						break;
-					}					
+					}
 				}
 			}
 		}
@@ -679,8 +677,6 @@
 	 * @return	array		Returns an array with file information if an image was returned. Otherwise false.
 	 * @access private
 	 * @see tslib_cObj::getImgResource()
-	 * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=315&cHash=63b593a934
-	 * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=282&cHash=831a95115d
 	 */
 	function getResource($file,$fileArray)	{
 		if (!t3lib_div::inList($this->imageFileExt, $fileArray['ext']))	{
Index: t3lib/class.t3lib_matchcondition.php
===================================================================
--- t3lib/class.t3lib_matchcondition.php	(revision 9758)
+++ t3lib/class.t3lib_matchcondition.php	(revision )
@@ -110,7 +110,6 @@
 	 * @param	string		The condition to match against its criterias.
 	 * @return	boolean		Returns true or false based on the evaluation.
 	 * @see t3lib_tsparser::parse()
-	 * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=292&cHash=c6c7d43d2f
 	 */
 	function evalConditionStr($string) {
 		return parent::evaluateCondition($string);
@@ -144,7 +143,6 @@
 	 * @param	string		User agent string from browser, t3lib_div::getIndpEnv('HTTP_USER_AGENT')
 	 * @return	string		A code. See link.
 	 * @access private
-	 * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=296&cHash=a8ae66c7d6
 	 */
 	function whichDevice($useragent) {
 		return parent::getDeviceType($useragent);
Index: typo3/backend.php
===================================================================
--- typo3/backend.php	(revision 9763)
+++ typo3/backend.php	(revision )
@@ -430,7 +430,8 @@
 			'ContextHelpWindows' => array(
 				'width' => 600,
 				'height' => 400
-			)
+			),
+			'donateUrl' => TYPO3_URL_DONATE,
 		);
 		$t3LLLcore = array(
 			'waitTitle' => $GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.xml:mess.refresh_login_logging_in') ,
Index: typo3/sysext/cms/tslib/media/scripts/fe_adminLib.inc
===================================================================
--- typo3/sysext/cms/tslib/media/scripts/fe_adminLib.inc	(revision 9758)
+++ typo3/sysext/cms/tslib/media/scripts/fe_adminLib.inc	(revision )
@@ -98,7 +98,6 @@
  * @author	Kasper Skårhøj <kasperYYYY@typo3.com>
  * @package TYPO3
  * @subpackage tslib
- * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=396&cHash=d267c36546
  */
 class user_feAdmin	{
 
@@ -145,7 +144,6 @@
 	 * @param	string		Empty string, ignore.
 	 * @param	array		TypoScript properties following the USER_INT object which uses this library
 	 * @return	string		HTML content
-	 * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=396&cHash=d267c36546
 	 */
 	function init($content,$conf)	{
 		$this->conf = $conf;
@@ -986,7 +984,7 @@
 			if (!is_array($this->dataArr)) {
 				$this->dataArr = array();
 			}
-			
+
 			$markerArray = $this->cObj->fillInMarkerArray($this->markerArray, $this->dataArr, '', TRUE, 'FIELD_', $this->recInMarkersHSC);
 			if ($this->conf['create.']['preview'] && !$this->previewLabel)	{$markerArray['###HIDDENFIELDS###'].= '<input type="hidden" name="preview" value="1" />';}
 			$content = $this->cObj->substituteMarkerArray($templateCode, $markerArray);
Index: typo3/sysext/cms/tslib/media/scripts/plaintextLib.inc
===================================================================
--- typo3/sysext/cms/tslib/media/scripts/plaintextLib.inc	(revision 9758)
+++ typo3/sysext/cms/tslib/media/scripts/plaintextLib.inc	(revision )
@@ -118,7 +118,6 @@
  * @author	Kasper Skårhøj <kasperYYYY@typo3.com>
  * @package TYPO3
  * @subpackage tslib
- * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=398&cHash=e3024de334
  */
 class user_plaintext {
 	var $cObj;
Index: t3lib/class.t3lib_befunc.php
===================================================================
--- t3lib/class.t3lib_befunc.php	(revision 9652)
+++ t3lib/class.t3lib_befunc.php	(revision )
@@ -4355,7 +4355,7 @@
 			);
 		} else {
 			$warrantyNote = sprintf($GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_login.xml:no.warranty'),
-				'<a href="http://typo3.com/1316.0.html" target="_blank">', '</a>'
+				'<a href="' . TYPO3_URL_LICENSE . '" target="_blank">', '</a>'
 			);
 		}
 		$cNotice = '<a href="http://typo3.com/" target="_blank">' .
@@ -4368,11 +4368,11 @@
 				htmlspecialchars(TYPO3_copyright_year) . ' Kasper Sk&aring;rh&oslash;j. ' .
 				$GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_login.xml:extension.copyright') . ' ' .
 				sprintf($GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_login.xml:details.link'),
-					'<a href="http://typo3.com/" target="_blank">http://typo3.com/</a>'
+					'<a href="' . TYPO3_URL_GENERAL . '" target="_blank">' . TYPO3_URL_GENERAL . '</a>'
 				) . ' ' .
 				strip_tags($warrantyNote, '<a>') . ' ' .
 				sprintf($GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_login.xml:free.software'),
-					'<a href="http://typo3.com/1316.0.html" target="_blank">', '</a> '
+					'<a href="' . TYPO3_URL_LICENSE . '" target="_blank">', '</a> '
 				) .
 				$GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_login.xml:keep.notice');
 
Index: typo3/sysext/cms/tslib/class.tslib_fe.php
===================================================================
--- typo3/sysext/cms/tslib/class.tslib_fe.php	(revision 9758)
+++ typo3/sysext/cms/tslib/class.tslib_fe.php	(revision )
@@ -731,7 +731,6 @@
 	 * 2) Using hook which enables features like those provided from "simulatestatic" or "realurl" extension (AKA "Speaking URLs")
 	 *
 	 * @return	void
-	 * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&cHash=4ad9d7acb4
 	 */
 	function checkAlternativeIdMethods()	{
 		$this->siteScript = t3lib_div::getIndpEnv('TYPO3_SITE_SCRIPT');
@@ -2518,7 +2517,6 @@
 	 *
 	 * @return	void
 	 * @see tslib_feTCE
-	 * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=342&cHash=fdf55adb3b
 	 */
 	function fe_tce()	{
 		$fe_tce = t3lib_div::makeInstance('tslib_feTCE');
Index: t3lib/matchcondition/class.t3lib_matchcondition_backend.php
===================================================================
--- t3lib/matchcondition/class.t3lib_matchcondition_backend.php	(revision 9758)
+++ t3lib/matchcondition/class.t3lib_matchcondition_backend.php	(revision )
@@ -113,7 +113,6 @@
 	 * @param	string		Identifier
 	 * @return	mixed		The value of the variable pointed to.
 	 * @access private
-	 * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=311&cHash=487cbd5cdf
 	 */
 	protected function getVariable($var) {
 		$vars = explode(':', $var, 2);
